cURL
curl --request POST \
--url https://api.useanima.sh/v1/orgs/{orgId}/compliance/dsars \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subjectEmail": "jsmith@example.com",
"subjectName": "<string>",
"subjectId": "<string>",
"description": "<string>",
"dueInDays": 30,
"metadata": {}
}
'import requests
url = "https://api.useanima.sh/v1/orgs/{orgId}/compliance/dsars"
payload = {
"subjectEmail": "jsmith@example.com",
"subjectName": "<string>",
"subjectId": "<string>",
"description": "<string>",
"dueInDays": 30,
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
subjectEmail: 'jsmith@example.com',
subjectName: '<string>',
subjectId: '<string>',
description: '<string>',
dueInDays: 30,
metadata: {}
})
};
fetch('https://api.useanima.sh/v1/orgs/{orgId}/compliance/dsars', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.useanima.sh/v1/orgs/{orgId}/compliance/dsars",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'subjectEmail' => 'jsmith@example.com',
'subjectName' => '<string>',
'subjectId' => '<string>',
'description' => '<string>',
'dueInDays' => 30,
'metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.useanima.sh/v1/orgs/{orgId}/compliance/dsars"
payload := strings.NewReader("{\n \"subjectEmail\": \"jsmith@example.com\",\n \"subjectName\": \"<string>\",\n \"subjectId\": \"<string>\",\n \"description\": \"<string>\",\n \"dueInDays\": 30,\n \"metadata\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.useanima.sh/v1/orgs/{orgId}/compliance/dsars")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"subjectEmail\": \"jsmith@example.com\",\n \"subjectName\": \"<string>\",\n \"subjectId\": \"<string>\",\n \"description\": \"<string>\",\n \"dueInDays\": 30,\n \"metadata\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.useanima.sh/v1/orgs/{orgId}/compliance/dsars")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"subjectEmail\": \"jsmith@example.com\",\n \"subjectName\": \"<string>\",\n \"subjectId\": \"<string>\",\n \"description\": \"<string>\",\n \"dueInDays\": 30,\n \"metadata\": {}\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"orgId": "<string>",
"type": "ACCESS",
"status": "RECEIVED",
"subjectEmail": "<string>",
"subjectName": "<string>",
"subjectId": "<string>",
"description": "<string>",
"requestedAt": "<string>",
"verifiedAt": "<string>",
"dueAt": "<string>",
"completedAt": "<string>",
"processedBy": "<string>",
"response": {},
"metadata": {},
"createdAt": "<string>",
"updatedAt": "<string>"
}API Reference
Post orgs compliancedsars
POST
/
orgs
/
{orgId}
/
compliance
/
dsars
cURL
curl --request POST \
--url https://api.useanima.sh/v1/orgs/{orgId}/compliance/dsars \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subjectEmail": "jsmith@example.com",
"subjectName": "<string>",
"subjectId": "<string>",
"description": "<string>",
"dueInDays": 30,
"metadata": {}
}
'import requests
url = "https://api.useanima.sh/v1/orgs/{orgId}/compliance/dsars"
payload = {
"subjectEmail": "jsmith@example.com",
"subjectName": "<string>",
"subjectId": "<string>",
"description": "<string>",
"dueInDays": 30,
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
subjectEmail: 'jsmith@example.com',
subjectName: '<string>',
subjectId: '<string>',
description: '<string>',
dueInDays: 30,
metadata: {}
})
};
fetch('https://api.useanima.sh/v1/orgs/{orgId}/compliance/dsars', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.useanima.sh/v1/orgs/{orgId}/compliance/dsars",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'subjectEmail' => 'jsmith@example.com',
'subjectName' => '<string>',
'subjectId' => '<string>',
'description' => '<string>',
'dueInDays' => 30,
'metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.useanima.sh/v1/orgs/{orgId}/compliance/dsars"
payload := strings.NewReader("{\n \"subjectEmail\": \"jsmith@example.com\",\n \"subjectName\": \"<string>\",\n \"subjectId\": \"<string>\",\n \"description\": \"<string>\",\n \"dueInDays\": 30,\n \"metadata\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.useanima.sh/v1/orgs/{orgId}/compliance/dsars")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"subjectEmail\": \"jsmith@example.com\",\n \"subjectName\": \"<string>\",\n \"subjectId\": \"<string>\",\n \"description\": \"<string>\",\n \"dueInDays\": 30,\n \"metadata\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.useanima.sh/v1/orgs/{orgId}/compliance/dsars")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"subjectEmail\": \"jsmith@example.com\",\n \"subjectName\": \"<string>\",\n \"subjectId\": \"<string>\",\n \"description\": \"<string>\",\n \"dueInDays\": 30,\n \"metadata\": {}\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"orgId": "<string>",
"type": "ACCESS",
"status": "RECEIVED",
"subjectEmail": "<string>",
"subjectName": "<string>",
"subjectId": "<string>",
"description": "<string>",
"requestedAt": "<string>",
"verifiedAt": "<string>",
"dueAt": "<string>",
"completedAt": "<string>",
"processedBy": "<string>",
"response": {},
"metadata": {},
"createdAt": "<string>",
"updatedAt": "<string>"
}Authorizations
BearerAuthApiKeyAuth
Body
application/json
Input for creating a data subject request
Response
200 - application/json
OK
A data subject access request record
